---
- name: create dir rust install
  file:
    dest: "{{ dsgames_directory }}/rust"
    state: directory
    owner: dsgames-user
    group: dsgames-user
    mode: 0755

- name: attempt to install rust server with user anonymously
  command: "{{ dsgames_directory_tools }}/steamcmd/steamcmd.sh +force_install_dir {{ dsgames_directory }}/rust +login anonymous +app_update 258550 validate +quit"
  register: install_rust
  async: "{{ rust_install_timeout }}"
  poll: 5
  #no_log: true

- name: save output
  set_fact:
    steam_stdout: "{{ install_rust.stdout }}"
  when: output is not skipped

- name: install depedency of module github part 1
  package:
    name: python3-pip
    state: present

- name: install depedency of module github part 2
  pip:
    name: github3.py
    state: present
    executable: pip3

- name: get latest version of oxide mod
  github_release:
    user: OxideMod
    repo: Oxide.Rust
    action: latest_release
  register: latest_oxide_mod  
  when: rust_oxide_mod == true
  
- name: download latest Oxide mod
  get_url:
    url: "https://github.com/OxideMod/Oxide.Rust/releases/download/{{ latest_oxide_mod.tag }}/Oxide.Rust-linux.zip"
    dest: /tmp
    tmp_dest: /tmp/
    force: yes
    headers:
      Accept: "application/octet-stream"
  when: rust_oxide_mod == true

- name: Unarchive latest Oxide mod
  unarchive:
    src: /tmp/Oxide.Rust-linux.zip
    dest: "{{ dsgames_directory }}/rust"